/**********************************************  Interrupt Service Routine (ISR) **********************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	The following ISR will execute each time the driver detects an interrupt produced by a Signal Stream device.
	Note:  This example assumes that channel interrupts are enabled but fault interrupts are disabled.

	Rev History: 1-10-2014:	Inital release.

**********************************************  Interrupt Service Routine (ISR) **********************************************/

#ifdef WIN32
	#define EXPORTISR __declspec(dllexport) void
#else
	#define EXPORTISR void
#endif

#include <stdlib.h>
#include "adapter.h"				// Adpater device driver common to all Red Rapids PCI Express products.
#include "common_functions.h"		// Functions common to all Signal Stream hardware and channel types.

EXPORTISR Adapter_ISR(s_Adapter *p_Adapter)
{
	unsigned long Status = 0;			// Variable to store status returned by function calls.

	// Process all channels for any status changes.
	ProcessChannels(p_Adapter);

	// The global interrupt mask was set to zero by the driver to suppress further interrupts, so it has to be enabled before exiting the ISR.
	Status = InterruptMask(p_Adapter, 1);

}
